# run

{% hint style="info" %}
Deprecated. Use [run](/liquid/filters/run.md) tag instead.
{% endhint %}

With the use of this filter you can run any other scripts that you have set up. Additionally you can pass a JSON objects with parameters. These parameters will be preloaded to task you would like to run.

{% hint style="info" %}
Script will be executed asynchronously.
{% endhint %}

This filter is particularly useful when using [Blank HTTP](/scripts/blank/http.md) task. You can run any other task and respond with 200 code to acknowledge receipt of a message.

```javascript
{% if request == blank %}
    {% json request %}
        {
            "body": {}
        }
    {% endjson %}
{% endif %}

{% capture task_input %}
    { "recieved_inventories": {{request.body | json }} }
{% endcapture %}

{{ task_input | run: "update_inventory_levels" }}
{% json response %}
    {
        "status": "ok"
    }
{% endjson %}
```

Placing above snippet in any Blank HTTP task would trigger a task identified with handle: `update_inventory_level`

Instead of script handle you can also use Script ID


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.datajet-app.com/liquid/filters/run.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
